## dh-ada-library 8.2

=== debian/tests/adaflags-pkg/Makefile ===
#!/usr/bin/make -f

# Force -O0.
# Attempt to put -Wformat.
DEB_BUILD_OPTIONS := noopt hardening=+all

# Attempt to change ADAFLAGS via CFLAGS.
DEB_CFLAGS_SET := cflag
DEB_CFLAGS_APPEND := cflag

# Arbitrary command.
DEB_ADAFLAGS_APPEND := canary

include /usr/share/ada/packaging.mk
$(info ADAFLAGS='$(ADAFLAGS)')

require = $(if $(filter $1,$(ADAFLAGS)),,$(error ADAFLAGS is missing $1))
refuse  = $(if $(filter $1,$(ADAFLAGS)),$(error ADAFLAGS contains $1))
$(call require,-O0)
$(call refuse,-Wformat)
$(call refuse,cflags)
$(call require,canary)
$(call require,-gno-record-gcc-switches)

nothing:

=== debian/changelog ===
dh-ada-library (8.2) experimental; urgency=medium

  * Fix regex detecting versions for dot-separated integers.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 04 Sep 2022 20:00:06 +0000

dh-ada-library (8.1) experimental; urgency=medium

  * Stop emulating gprinstall, simply install from debian/tmp to packages.
    Incompatible changes, but the major version is new in unstable.
    Update manual page.
    Rewrite in perl for better integration into debhelper.
  * Take back debian_packaging.mk from gnat.
    It is maintained and tested at the same time than dh-ada-library.
    Rename it to avoid conflicts and transition problems.
  * Add variables driving gprinstall into packaging.mk.
  * Add or extend tests. Remove noise from the fake packages.
  * Do not install the french manpage until it is updated.
  * Update TODO.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Aug 2022 22:17:19 +0200

dh-ada-library (8.0) experimental; urgency=medium

  * Build in experimental with gnat-12.
  * Stop generating lintian overrides for executable stack => major version.
  * Replace each reference to gnatgcc with an explicit gcc-MAJOR.
  * default.cgpr: refresh with latest gprconfig and gprconfig-kb.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 07 Aug 2022 23:48:29 +0000

=== debian/control ===
Source: dh-ada-library
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Uploaders: Ludovic Brenta <lbrenta@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Vcs-Browser: https://salsa.debian.org/debian/dh_ada_library
Vcs-Git: https://salsa.debian.org/debian/dh_ada_library.git

Package: dh-ada-library
Provides: dh-sequence-ada-library
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 debhelper,
# debian/tests/control also contains an explicit ALI version
 gnat-12 | gnat-11 | gnat-10 | gnat-9 | gnat-8 | gnat-7 | gnat-6,
# Recommends: debian-ada-policy (not a .deb yet)
Suggests:
 gprbuild,
Description: tools for packaging software written in the Ada programming language
 /usr/share/ada/packaging.mk is intended for inclusion from
 debian/rules.
 It provides build flags for gnatmake and gprbuild, and may be useful
 for executables as well as libraries despite the name of this
 package.
 The only documentation for now is in the comments.
 .
 If the package builds a library following the Debian Policy for Ada
 (http://people.debian.org/~lbrenta/debian-ada-policy.html), the
 dh_ada_library(1) debhelper tool will dispatch files from debian/tmp
 to package directories.

=== debian/tests/install-library-pkg/debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

%:
	dh $@

override_dh_auto_build:
	mkdir -p shared static

	gnatmake -c foo.adb $(GNATMAKEFLAGS) -D shared \
	  -cargs $(ADAFLAGS) -fPIC
	gcc-$(DEB_GNAT_VERSION) -shared \
	  -o libfoo.so.5.0.0 \
	  -Wl,-soname,libfoo.so.5.0.0 \
	  $(LDFLAGS) shared/foo.o -lgnat-$(DEB_GNAT_VERSION)

	gnatmake -c foo.adb $(GNATMAKEFLAGS) -D static \
	  -cargs $(ADAFLAGS)
	ar rc libfoo.a static/foo.o
	ranlib libfoo.a

	sed -e 's|@DEB_ADA_SOURCE_DIR@|$(DEB_ADA_SOURCE_DIR)|' \
	    -e 's|@DEB_LIB_DIR@|$(DEB_LIB_DIR)|'   \
	    -e 's|@DEB_ADA_LIB_INFO_DIR@|$(DEB_ADA_LIB_INFO_DIR)|' \
	  foo.gpr.in > foo.gpr

	echo 'Some libtool stuff' > libfoo.la

override_dh_auto_install-arch:
	install -m644 -Dtdebian/tmp/$(DEB_ADA_SOURCE_DIR)/foo *.ad[bs]
	install -m444 -Dtdebian/tmp/$(DEB_ADA_LIB_INFO_DIR)/foo shared/*.ali
	install -m644 -Dtdebian/tmp/$(DEB_GNAT_PROJECT_DIR) foo.gpr
	install -m644 -Dtdebian/tmp/$(DEB_LIB_DIR) libfoo.so.5.0.0 libfoo.a libfoo.la
	ln -fs libfoo.so.5.0.0 debian/tmp/$(DEB_LIB_DIR)/libfoo.so
	ln -fs libfoo.so.5.0.0 debian/tmp/$(DEB_LIB_DIR)/libfoo.so.5

override_dh_ada_library:
	dh_ada_library -v

=== debian/tests/adaflags-pkg/debian/control ===
Source: foo
Section: misc

Package: foo
Architecture: any

=== debian/tests/control ===
Tests:
 adaflags
 export-versions
 install-library

Tests:
 standard-gpr
 unusual-soname-gpr
Depends: @,
 gprbuild,

Tests: several-libraries-gpr
Depends: @,
# compatible with a new attribute in gprconfig-kb
 gprbuild,
 libxmlada-unicode12-dev,
# The test builds a package depending on libz.
 zlib1g-dev,

=== debian/tests/export-versions-pkg/debian/control ===
Source: foo
Section: misc

# Confusing package order
Package: libd5-7
Architecture: any

# spacing
Package:    liba1-dev
Architecture: any

Package: liba2
Architecture: any

# dash inside library name
Package: libb-c3-dev
Architecture: any

Package: libb-c4
Architecture: any

# name ending with a digit.
Package: libd5-6-dev
Architecture: any

# unrelated C library
Package: libe-dev
Architecture: any

Package: libe8
Architecture: any

# Versions with dots
Package: libf9.10.11-dev
Architecture: any

Package: libf12.13
Architecture: any

=== debian/tests/install-library-pkg/debian/control ===
Source: libfoo
Section: misc
Maintainer: Nobody <nobody@nowhere.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-ada-library

Package: libfoo3-dev
Architecture: any
Depends: ${ada:Depends}, ${misc:Depends}
Description: fake foo library to test dh-ada-library (development)
 This package contains sources and the static library.

Package: libfoo5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fake foo library to test dh-ada-library (runtime)
 This package contains the runtime shared library.

=== debian/tests/unusual-soname-gpr-pkg/debian/control ===
Source: libfoo
Section: libdevel
Maintainer: Nobody <nobody@nowhere.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-ada-library,

Package: libfoo-3-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: fake foo library to test dh-ada-library (development)
 This package contains the development tools.

Package: libfoo-5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fake foo library to test dh-ada-library (runtime)
 This package contains the runtime shared library.

## dh-ada-library 8.3

=== debian/changelog ===
dh-ada-library (8.3) experimental; urgency=medium

  * Find the shared library by following the development link,
    in case the file name differs from the shared object name.
  * If so, install the ldconfig soname link into the lib package
    as required by the policy.
  * autopkgtests: test minimal and cmake link scheme in addition to libtool.
    Test unusual soname.  Share more code across tests.
  * Fix various cosmetic style issues.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 03 Dec 2022 17:40:28 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Tests:
  adaflags
+ cmake
  export-versions
  install-library
+ libtool
+ unusual-soname
 
 Tests:
  standard-gpr

## dh-ada-library 8.6

=== debian/changelog ===
dh-ada-library (8.6) unstable; urgency=medium

  * Ensure gcc is present during autopkgtests.  Closes: #1028984.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 Jan 2023 21:11:18 +0000

dh-ada-library (8.5) unstable; urgency=medium

  * Disable dh_test_root during autopkgtests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 28 Dec 2022 19:01:50 +0000

dh-ada-library (8.4) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version 4.6.2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Dec 2022 23:20:25 +0100

=== debian/tests/standard-gpr-pkg/debian/changelog ===
foo (1) UNRELEASED; urgency=medium

  * Initial packaging (Closes: #0).

 -- Nobody <nobody@nowhere.org>  Tue, 05 May 2020 22:27:31 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ludovic Brenta <lbrenta@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/tests/several-libraries-gpr-pkg/debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

%:
	dh $@

override_dh_auto_configure:
	gprconfig --batch $(GPRCONFIGFLAGS)

override_dh_auto_build:
	f_l_SO_VERSION=$(f_l_SO_VERSION) \
	foo_SO_VERSION=$(foo_SO_VERSION) \
	gprbuild -Pfoo.gpr $(GPRBUILDFLAGS)

	f_l_SO_VERSION= \
	foo_SO_VERSION= \
	gprbuild -Pfoo.gpr $(GPRBUILDFLAGS)

override_dh_auto_install:
	f_l_SO_VERSION= \
	gprinstall -Pf_l.gpr $(static_GPRINSTALLFLAGS)

	f_l_SO_VERSION= \
	foo_SO_VERSION= \
	gprinstall -Pfoo.gpr $(static_GPRINSTALLFLAGS)

	f_l_SO_VERSION=$(f_l_SO_VERSION) \
	gprinstall -Pf_l.gpr $(call shared_GPRINSTALLFLAGS,f_l)

	f_l_SO_VERSION=$(f_l_SO_VERSION) \
	foo_SO_VERSION=$(foo_SO_VERSION) \
	gprinstall -Pfoo.gpr $(call shared_GPRINSTALLFLAGS,foo)

override_dh_ada_library:
	dh_ada_library -v

=== debian/tests/standard-gpr-pkg/debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

%:
	dh $@

override_dh_auto_build:
	gprconfig --batch $(GPRCONFIGFLAGS)
	gprbuild $(GPRBUILDFLAGS) -Pfoo.gpr
	gzip -c foo.1 > foo.1.gz

override_dh_auto_install:
	gprinstall $(standard_GPRINSTALLFLAGS) -Pfoo.gpr

=== debian/tests/template-pkg/debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

%:
	dh $@

override_dh_auto_build:
	mkdir -p shared static

	gnatmake -c foo.adb $(GNATMAKEFLAGS) -D shared \
	  -cargs $(ADAFLAGS) -fPIC
	gcc-$(DEB_GNAT_VERSION) -shared \
	  -o $(so_file) \
	  -Wl,-soname,$(so_name) \
	  $(LDFLAGS) shared/foo.o -lgnat-$(DEB_GNAT_VERSION)

	gnatmake -c foo.adb $(GNATMAKEFLAGS) -D static \
	  -cargs $(ADAFLAGS)
	ar rc libfoo.a static/foo.o
	ranlib libfoo.a

	sed -e 's|@DEB_ADA_SOURCE_DIR@|$(DEB_ADA_SOURCE_DIR)|' \
	    -e 's|@DEB_LIB_DIR@|$(DEB_LIB_DIR)|'   \
	    -e 's|@DEB_ADA_LIB_INFO_DIR@|$(DEB_ADA_LIB_INFO_DIR)|' \
	  foo.gpr.in > foo.gpr

  ifdef la_file
	echo 'Some libtool stuff' > libfoo.la
  endif

override_dh_auto_install-arch:
	install -m644 -Dtdebian/tmp/$(DEB_ADA_SOURCE_DIR)/foo *.ad[bs]
	install -m444 -Dtdebian/tmp/$(DEB_ADA_LIB_INFO_DIR)/foo shared/*.ali
	install -m644 -Dtdebian/tmp/$(DEB_GNAT_PROJECT_DIR) foo.gpr
	install -m644 -Dtdebian/tmp/$(DEB_LIB_DIR) $(so_file) libfoo.a
  ifdef la_file
	install -m644 -Dtdebian/tmp/$(DEB_LIB_DIR) $(so_file) libfoo.la
  endif
	ln -fs $(so_link) debian/tmp/$(DEB_LIB_DIR)/libfoo.so
  ifneq ($(so_file),$(so_name))
	ln -fs $(so_file) debian/tmp/$(DEB_LIB_DIR)/$(so_name)
  endif

override_dh_ada_library:
	dh_ada_library -v

=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Gcc is available during normal package builds.  Ensure it is present
+# during these tests so that dpkg-* tools do not complain on stderr.
+# https://bugs.debian.org/1028984.
+
 Tests:
  adaflags
  cmake
@@ -5,15 +9,19 @@
  install-library
  libtool
  unusual-soname
+Depends: @,
+ gcc,
 
 Tests:
  standard-gpr
  unusual-soname-gpr
 Depends: @,
+ gcc,
  gprbuild,
 
 Tests: several-libraries-gpr
 Depends: @,
+ gcc,
 # compatible with a new attribute in gprconfig-kb
  gprbuild,
  libxmlada-unicode12-dev,

=== debian/tests/several-libraries-gpr-pkg/debian/control ===
Source: libfoo
Section: libdevel
Maintainer: Nobody <nobody@nowhere.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-ada-library,

Package: libfoo3-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: fake foo library to test dh-ada-library (development)
 This package contains the development tools.

Package: libf-l4-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: fake f-l library to test dh-ada-library (development)
 This package contains the development tools.

Package: libfoo5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fake foo library to test dh-ada-library (runtime)
 This package contains the runtime shared library.

Package: libf-l6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fake f-l library to test dh-ada-library (runtime)
 This package contains the runtime shared library.

=== debian/tests/standard-gpr-pkg/debian/control ===
Source: foo
Section: misc
Maintainer: Nobody <nobody@nowhere.org>
Build-Depends: debhelper-compat (= 13)

Package: foo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fake foo executable for tests (development)
 This package contains the main program.

=== debian/tests/template-pkg/debian/control ===
Source: libfoo
Section: libdevel
Maintainer: Nobody <nobody@nowhere.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-ada-library

Package: libfoo3-dev
Architecture: any
Depends: ${ada:Depends}, ${misc:Depends}
Description: fake foo library to test dh-ada-library (development)
 This package contains the sources and the static library.

Package: libfoo5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fake foo library to test dh-ada-library (runtime)
 This package contains the runtime shared library.

=== debian/tests/unusual-soname-gpr-pkg/debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: fake foo library to test dh-ada-library (development)
- This package contains the development tools.
+ This package contains the sources and the static library.
 
 Package: libfoo-5
 Architecture: any

## dh-ada-library 8.8

=== Makefile ===
# -- Driven by debian/rules

all: obj/dh_ada_library.1

obj/%.1: %.pod | obj
	pod2man --utf8 -cDebhelper -r`dpkg-parsechangelog -SVersion` $< $@

obj:
	mkdir $@

clean:
	rm -fr obj/
	find . -name '*~' -a -type f -delete

# -- Useful during development

dev: c-dh_ada_library obj/tidy-dh_ada_library obj/critic-dh_ada_library \
     all \
     c-ada_library.pm obj/tidy-ada_library.pm obj/critic-ada_library.pm

c-%:
	perl -c $*

# apt install perltidy:
obj/tidy-%: %
	perltidy $< -st | diff -u $< -

no_critic = Modules::RequireVersionVar
obj/critic-ada_library.pm: no_critic += Modules::RequireExplicitPackage

# apt install libperl-critic-perl:
obj/critic-%: % Makefile | obj
	perlcritic -1 --verbose=11 $(no_critic:%=--exclude=%) $<
	touch $@

=== debian/changelog ===
dh-ada-library (8.8) unstable; urgency=medium

  * tests: revert to DEB_RULES_REQUIRES_ROOT, dh_test_root ignores the field.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 13 Jul 2023 08:08:02 +0200

dh-ada-library (8.7) unstable; urgency=medium

  * Autopkgtest check that .ali files are installed read-only
  * Strip unreproducible build paths from installed project.
    This is a work around for #1030715, but gprbuild should be patched instead.
  * Drop old gnat versions from possible dependencies
  * Switch manual page from troff to pod. Drop obsolete french translation.
  * Update copyright years
  * Add Make target for tests, perltidy, perl-critic.
    Improve reported issues.
  * Refactor with subprograms
  * Improve detection of Ada -dev packages and links to the shared library
  * tests: prefer Rules-Requires-Root field to the equivalent environment
  * Make the insertion into the debhelper sequence minimal
  * Style improvements: SPDX, signatures, more Dh_Lib

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 13 Jul 2023 00:03:40 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  ${perl:Depends},
  debhelper,
 # debian/tests/control also contains an explicit ALI version
- gnat-12 | gnat-11 | gnat-10 | gnat-9 | gnat-8 | gnat-7 | gnat-6,
+ gnat-12 | gnat-11 | gnat-10,
 # Recommends: debian-ada-policy (not a .deb yet)
 Suggests:
  gprbuild,

## dh-ada-library 8.9

=== debian/changelog ===
dh-ada-library (8.9) unstable; urgency=medium

  * Adapt tests to the new way to strip debug-prefix-map build flags.
  * Use dpkg-dev snippets instead of computing DEB_VERSION

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 26 Jul 2023 20:09:38 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # during these tests so that dpkg-* tools do not complain on stderr.
 # https://bugs.debian.org/1028984.
 
+Tests-Directory: tests
 Tests:
  adaflags
  cmake
@@ -12,6 +13,7 @@
 Depends: @,
  gcc,
 
+Tests-Directory: tests
 Tests:
  standard-gpr
  unusual-soname-gpr
@@ -19,6 +21,7 @@
  gcc,
  gprbuild,
 
+Tests-Directory: tests
 Tests: several-libraries-gpr
 Depends: @,
  gcc,

## dh-ada-library 9.3

=== debian/changelog ===
dh-ada-library (9.3) unstable; urgency=medium

  * Strip -Werror=implicit-function-declaration from ADAFLAGS.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 18 Mar 2024 07:49:06 +0000

dh-ada-library (9.2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
  * In some autopkgtests, redirect stderr of shlibdeps.  Closes: #1064840.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 14:22:31 +0100

dh-ada-library (9.1) experimental; urgency=medium

  * Fix regular expression matching hexadecimal digits.
  * Restore version restrictions for gnat in ada:Depends for transitions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Dec 2023 12:36:28 +0000

dh-ada-library (9.0) experimental; urgency=medium

  * tests/standard-gpr-pkg: Build-Depend on dh-ada-library.
  * Improve extraction of the shared object name, use host tools.
  * Set Perl re in ASCII mode.
  * Use autodie instead of testing each exit status.
  * Apply the changes in policy introducing hash in virtual package names.
    - LibNAME-dev carries no version anymore but Provides: libNAME-dev-HASH
    - They Depend: gnat-MAJOR-HASH, gnat, libDEP-dev-HASH
    - Packaging.mk stops providing name_DEV_PKG and name_ALI_VERSION.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Sep 2023 15:00:01 +0000

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
  ${misc:Depends},
  ${perl:Depends},
  debhelper,
-# debian/tests/control also contains an explicit ALI version
- gnat-12 | gnat-11 | gnat-10,
+# Gnat-13 13.2.0-3 is the first providing a gnat-MAJOR-HASH virtual package:
+ gnat (>= 13),
 # Recommends: debian-ada-policy (not a .deb yet)
 Suggests:
  gprbuild,

=== debian/tests/control ===
--- 
+++ 
@@ -27,6 +27,6 @@
  gcc,
 # compatible with a new attribute in gprconfig-kb
  gprbuild,
- libxmlada-unicode12-dev,
+ libxmlada-unicode-dev,
 # The test builds a package depending on libz.
  zlib1g-dev,

=== tests/several-libraries-gpr-pkg/debian/control ===
Source: libfoo
Section: libdevel
Maintainer: Nobody <nobody@nowhere.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-ada-library,

Package: libfoo-dev
Provides: ${ada:Provides}
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: fake foo library to test dh-ada-library (development)
 This package contains the development tools.

Package: libf-l-dev
Provides: ${ada:Provides}
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: fake f-l library to test dh-ada-library (development)
 This package contains the development tools.

Package: libfoo5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fake foo library to test dh-ada-library (runtime)
 This package contains the runtime shared library.

Package: libf-l6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fake f-l library to test dh-ada-library (runtime)
 This package contains the runtime shared library.

=== tests/template-pkg/debian/control ===
Source: libfoo
Section: libdevel
Maintainer: Nobody <nobody@nowhere.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-ada-library

Package: libfoo-dev
Provides: ${ada:Provides}
Architecture: any
Depends: ${ada:Depends}, ${misc:Depends}
Description: fake foo library to test dh-ada-library (development)
 This package contains the sources and the static library.

Package: libfoo5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fake foo library to test dh-ada-library (runtime)
 This package contains the runtime shared library.

## dh-ada-library 9.4

=== debian/changelog ===
dh-ada-library (9.4) unstable; urgency=medium

  * Only report missing files for processed packages.  Closes: #1068209.
    Add regression test.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 May 2024 12:39:30 +0000

## dh-ada-library 9.6

=== debian/changelog ===
dh-ada-library (9.6) unstable; urgency=medium

  * Fix option name in previous change (fstack-clash-protection).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 22 Dec 2024 19:48:01 +0000

dh-ada-library (9.5) unstable; urgency=medium

  * Disable -fstack-protector-strong build flag, because of GCC bug 118164.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 21 Dec 2024 14:38:16 +0000

## dh-ada-library 9.7

=== debian/changelog ===
dh-ada-library (9.7) unstable; urgency=medium

  * Read libgnat hash from gnat-BV-HOST if 14 <= BV

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 03 Feb 2025 15:02:50 +0100

## dh-ada-library 9.8

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
 # -- Driven by debian/rules
+
+include /usr/share/dpkg/pkg-info.mk
 
 all: obj/dh_ada_library.1
 
 obj/%.1: %.pod | obj
-	pod2man --utf8 -cDebhelper -r`dpkg-parsechangelog -SVersion` $< $@
+	pod2man --utf8 -cDebhelper '-r$(DEB_VERSION)' $< $@
 
 obj:
 	mkdir $@

=== debian/changelog ===
dh-ada-library (9.8) unstable; urgency=medium

  * Let -dev packages explicitly depend on gnat-VERSION.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 24 Feb 2025 22:07:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ludovic Brenta <lbrenta@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== tests/template-pkg/debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

%:
	dh $@

override_dh_auto_build-arch:
	mkdir -p shared static

	gnatmake -c foo.adb $(GNATMAKEFLAGS) -D shared \
	  -cargs $(ADAFLAGS) -fPIC
	gcc-$(DEB_GNAT_VERSION) -shared \
	  -o $(so_file) \
	  -Wl,-soname,$(so_name) \
	  $(LDFLAGS) shared/foo.o -lgnat-$(DEB_GNAT_VERSION)

	gnatmake -c foo.adb $(GNATMAKEFLAGS) -D static \
	  -cargs $(ADAFLAGS)
	ar rc libfoo.a static/foo.o
	ranlib libfoo.a

	sed -e 's|@DEB_ADA_SOURCE_DIR@|$(DEB_ADA_SOURCE_DIR)|' \
	    -e 's|@DEB_LIB_DIR@|$(DEB_LIB_DIR)|'   \
	    -e 's|@DEB_ADA_LIB_INFO_DIR@|$(DEB_ADA_LIB_INFO_DIR)|' \
	  foo.gpr.in > foo.gpr

  ifdef la_file
	echo 'Some libtool stuff' > libfoo.la
  endif

override_dh_auto_install-arch:
	install -m644 -Dtdebian/tmp/$(DEB_ADA_SOURCE_DIR)/foo *.ad[bs]
	install -m444 -Dtdebian/tmp/$(DEB_ADA_LIB_INFO_DIR)/foo shared/*.ali
	install -m644 -Dtdebian/tmp/$(DEB_GNAT_PROJECT_DIR) foo.gpr
	install -m644 -Dtdebian/tmp/$(DEB_LIB_DIR) $(so_file) libfoo.a
  ifdef la_file
	install -m644 -Dtdebian/tmp/$(DEB_LIB_DIR) $(so_file) libfoo.la
  endif
	ln -fs $(so_link) debian/tmp/$(DEB_LIB_DIR)/libfoo.so
  ifneq ($(so_file),$(so_name))
	ln -fs $(so_file) debian/tmp/$(DEB_LIB_DIR)/$(so_name)
  endif

override_dh_ada_library:
	dh_ada_library -v

=== tests/unusual-soname-gpr-pkg/debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

%:
	dh $@

override_dh_auto_build:
	foo_SO_VERSION=$(foo_SO_VERSION) \
	gprbuild -Pfoo.gpr $(GPRBUILDFLAGS)
	foo_SO_VERSION= \
	gprbuild -Pfoo.gpr $(GPRBUILDFLAGS)

override_dh_auto_install:
	foo_SO_VERSION= \
	gprinstall -Pfoo.gpr $(static_GPRINSTALLFLAGS)
	foo_SO_VERSION=$(foo_SO_VERSION) \
	gprinstall -Pfoo.gpr $(call shared_GPRINSTALLFLAGS,foo)

override_dh_ada_library:
	dh_ada_library -v

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Tests-Directory: tests
 Tests:
  adaflags
+ arch-all-1068209
  cmake
  export-versions
  install-library

## dh-ada-library 9.9

=== debian/changelog ===
dh-ada-library (9.9) unstable; urgency=medium

  * Enable salsa continuous integration via debian/sals-ci.yml
  * Protect packaging.mk against double inclusion
  * Include dpkg scripts, they are protected against double inclusion
  * Only disable -fstack-clash-protection on arm{el,hf} where it is broken

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 28 Mar 2025 22:53:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ludovic Brenta <lbrenta@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== tests/several-libraries-gpr-pkg/debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

%:
	dh $@

override_dh_auto_configure:
	gprconfig --batch $(GPRCONFIGFLAGS)

override_dh_auto_build:
	f_l_SO_VERSION=$(f_l_SO_VERSION) \
	foo_SO_VERSION=$(foo_SO_VERSION) \
	gprbuild -Pfoo.gpr $(GPRBUILDFLAGS)

	f_l_SO_VERSION= \
	foo_SO_VERSION= \
	gprbuild -Pfoo.gpr $(GPRBUILDFLAGS)

override_dh_auto_install:
	f_l_SO_VERSION= \
	gprinstall -Pf_l.gpr $(static_GPRINSTALLFLAGS)

	f_l_SO_VERSION= \
	foo_SO_VERSION= \
	gprinstall -Pfoo.gpr $(static_GPRINSTALLFLAGS)

	f_l_SO_VERSION=$(f_l_SO_VERSION) \
	gprinstall -Pf_l.gpr $(call shared_GPRINSTALLFLAGS,f_l)

	f_l_SO_VERSION=$(f_l_SO_VERSION) \
	foo_SO_VERSION=$(foo_SO_VERSION) \
	gprinstall -Pfoo.gpr $(call shared_GPRINSTALLFLAGS,foo)

override_dh_ada_library:
	dh_ada_library -v

# Work-around #1064840.
override_dh_shlibdeps:
	dh_shlibdeps 2>&1

=== tests/standard-gpr-pkg/debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

%:
	dh $@

override_dh_auto_build:
	gprconfig --batch $(GPRCONFIGFLAGS)
	gprbuild $(GPRBUILDFLAGS) -Pfoo.gpr
	gzip -c foo.1 > foo.1.gz

override_dh_auto_install:
	gprinstall $(standard_GPRINSTALLFLAGS) -Pfoo.gpr

# Work-around #1064840.
override_dh_shlibdeps:
	dh_shlibdeps 2>&1

=== tests/standard-gpr-pkg/debian/control ===
Source: foo
Section: misc
Maintainer: Nobody <nobody@nowhere.org>
Build-Depends: debhelper-compat (= 13), dh-ada-library

Package: foo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fake foo executable for tests (development)
 This package contains the main program.

=== tests/template-pkg/debian/control ===
--- 
+++ 
@@ -15,3 +15,8 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: fake foo library to test dh-ada-library (runtime)
  This package contains the runtime shared library.
+
+Package: libfoo-doc
+Architecture: all
+Description: fake foo library to test dh-ada-library (documentation)
+ This package contains the documentation.

=== tests/unusual-soname-gpr-pkg/debian/control ===
Source: libfoo
Section: libdevel
Maintainer: Nobody <nobody@nowhere.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-ada-library,

Package: libfoo-dev
Provides: ${ada:Provides}
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: fake foo library to test dh-ada-library (development)
 This package contains the sources and the static library.

Package: libfoo-5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fake foo library to test dh-ada-library (runtime)
 This package contains the runtime shared library.
